declare global {
    interface Window {
        REACT_APP_API_ENDPOINT: string;
        GOONG_MAP_KEY: string;
        GOONG_API_KEY: string;
        REACT_APP_CAPTIVE_DOMAIN: string;
        CLIENT_ID: string;
        REACT_APP_ID_DOMAIN: string;
        REACT_APP_FILE_STATIC_PATH: string;
        REACT_APP_FILE_TEMP_PATH: string;
        REACT_APP_TEMPLATE_FILE_PATH: string;
        REACT_APP_I18NEXT_BACKEND: string;
        DEFAULT_PREVIEW_DOMAIN_ID: string;
    }
}
export declare const Workspaces: {
    SYSTEM: string;
    ADMIN: string;
    ACM: string;
    AXM: string;
    CUSTOMER: string;
};
export declare const Constants: {
    API_ENDPOINT: string;
    ALL: string;
    ALL_STATUS: undefined;
    UNREAD: string;
    UNREAD_STATUS: number;
    SELECT_ALL: string;
    NOTIFICATIONS_PATH: string;
    NOTIFICATION_SETTING_SCREEN_PATH: string;
    MAX_NUMBER: number;
    PAGE_SIZE_DEFAULT: number;
    DEFAULT_ROWS_PER_PAGE: number[];
    NUMBER_DOMAIN_FAVORITE: number;
    PLACE_GROUP_SYSTEM: string;
    FAVORITE_DOMAIN: string;
    DOMAIN_ID_KEY: string;
    HOME_PATH: string;
    SET_SSID: string;
    SET_LOGOUT: string;
    PROFILE_PATH: string;
    USER_PROFILE_INFO: string;
    CLIENT_AUTHEN: {
        TOKEN_KEY: string;
        RETURN_URL_KEY: string;
        CLIENT_ID_KEY: string;
    };
    LOGIN_PATH: string;
    LOGOUT_PATH: string;
    ERROR_PATH: string;
    ERROR_403_PATH: string;
    LOCAL_STORAGE_USER: string;
    DIRECTORY_PATH: string;
    SHARING_CONFIG_PATH: string;
    DIRECTORY_PERMISSION_PATH: string;
    DIRECTORY_CREATE_DIRECTORY_PATH: string;
    DIRECTORY_ADD_PERMISSION_PATH: string;
    DIRECTORY_EDIT_PERMISSION_PATH: string;
    DIRECTORY_ADD_PERMISSION_ADD_NEWAUTHEN_PATH: string;
    SYSTEM_DIRECTORY_PERMISSION_PATH: string;
    MENU_DIRECTORY_PERMISSION_PATH: string;
    MENU_DIRECTORY_ADD_PERMISSION: string;
    CREATE_DIRECTORY: string;
    EDIT_DIRECTORY: string;
    DIRECTORY: string;
    CAMPAIGN_PATH: string;
    CAMPAIGN_CREATE_DIRECTORY: string;
    CAMPAIGN_CREATE: string;
    CAMPAIGN_CREATE_WITH_WIZARD: string;
    CAMPAIGN_DETAIL: string;
    CAMPAIGN_CLONE: string;
    CAMPAIGN_INFORMATION: string;
    CAMPAIGN_DISPLAY: string;
    CAMPAIGN_LOCATION: string;
    CAMPAIGN_ADVANCED: string;
    CAMPAIGN_PARTNER: string;
    CAMPAIGN_SELECT_PAGE: string;
    CAMPAIGN_GENERAL_WEIGHT: string;
    CAMPAIGN_CREATE_GROUP: string;
    CAMPAIGN_EDIT_GROUP: string;
    CAMPAIGN_EDIT_WEIGHT: string;
    CAMPAIGN_UPDATE_EXPRESSION: string;
    CAMPAIGN_ADD_RULE: string;
    CAMPAIGN_EDIT_RULE: string;
    CAMPAIGN_ADD_PERMISSION: string;
    CAMPAIGN_EDIT_PAGE: string;
    CAMPAIGN_MATCH_RATE: string;
    CAMPAIGN_SUBCAMPAIGN: string;
    CAMPAIGN_STATISTICS: string;
    CAMPAIGN_CONNECT: string;
    CAMPAIGN_PERMISSION: string;
    CAMPAIGN_APPROVE: string;
    CAMPAIGN_WIZARD: string;
    CAPTIVE_DOMAIN: any;
    CAMPAIGN_PREVIEW: string;
    DOMAIN_PREVIEW: string;
    PAGE_LOGIN_PREVIEW: string;
    TEMPLATE_PREVIEW: string;
    PAGE_LOGIN: string;
    PAGE_WELCOME: string;
    USER_PATH: string;
    USER_GROUP_PATH: string;
    ADD_USER_TO_GROUP_PATH: string;
    AUTHENTICATION_PROFILE_PATH: string;
    HOLIDAY_PATH: string;
    HOLIDAY_CREATE: string;
    HOLIDAY_EDIT: string;
    HOLIDAY_DETAIL: string;
    HOLIDAY_DETAIL_CREATE: string;
    HOLIDAY_DETAIL_EDIT: string;
    TEMPLATE_MANAGEMENT_PATH: string;
    PLACE_PATH: string;
    MONITOR_CAPTIVE_PATH: string;
    SCHEDULE_PLAN_PATH: string;
    SCHEDULE_COMPLETION_RATE_PATH: string;
    STATISTIC_SCHEDULE_PLAN_PATH: string;
    CAMPAIGN_SCHEDULE_PATH: string;
    CAMPAIGN_STATISTIC_PATH: string;
    STATISTICS_TOTAL_PATH: string;
    STATISTICS_BY_TOTAL_NETWORK_PATH: string;
    STATISTICS_COMPARE: string;
    STATISTICS_BY_PLACE: string;
    TRAFFIC_CALCULATOR_PATH: string;
    PROVINCE_PATH: string;
    AUDIENCE_OVERVIEW_PATH: string;
    AUDIENCE_DEMOGRAPHIC_PATH: string;
    TASK_SCHEDULER_PATH: string;
    DOMAINS_PATH: string;
    UPDATE_CAMPAIGN_DEFAULT_PATH: string;
    TRANSACTION_LOG_PATH: string;
    DETAIL_PATH: string;
    PLACE_CUSTOMER_INFO_PATH: string;
    ACCESS_POINT: string;
    PLACE_GROUP_POINT: string;
    WIZARD_PATH: string;
    PLACE_STAT_PATH: string;
    NETWORK_REQUEST_PATH: string;
    ATTRIBUTE_TYPE_PATH: string;
    ATTRIBUTES_PATH: string;
    NETWORK_PATH: string;
    ADD_EXISTED_USER: string;
    ADD_USER_TO_GROUP: string;
    CREATE_PATH: string;
    CREATE_ALL_PATH: string;
    IMPORT_PATH: string;
    EDIT_PATH: string;
    CLONE_PATH: string;
    DEBOUNCE_TIME: number;
    DEBOUNCE_TIME_500: number;
    DEBOUNCE_TIME_300: number;
    ACM_TEMPLATE_PATH: string;
    PAGE: string;
    PAGE_CREATE_DIRECTORY: string;
    PERMISSION_CODE: {
        FULL_CONTROL: number;
        MODIFY: number;
        WRITE: number;
        READ_AND_EXECUTE: number;
        READ: number;
        LIST_FOLDER_CONTENTS: number;
    };
    CONFIG_FILTER: string;
};
/**
 *  ValueAnalyticType  dùng để truy xuất dữ liệu trong các file "runs" và "expecteds" filter phần thống kê.
 **/
export declare const ValueAnalyticType: {
    VIEW: string;
    AUTHENTICATION: string;
    CLICK: string;
};
/**
 *  TypeView kịch bản filter trong phần thống kê.
 *  billingUnit: 0, // Đơn vị tính, dựa vào trường "billingUnit" => 1: "Authentication", 2: "Click"
 *  impression: 1, // Lượt hiển thị, "View"
 **/
export declare const TypeView: {
    billingUnit: number;
    impression: number;
};
